MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Variables
Directory.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
`#include "db/Visitor.hxx"`
`#include "db/PlaylistVector.hxx"`
`#include "Song.hxx"`
`#include <boost/intrusive/list.hpp>`
`#include <string>`
Include dependency graph for Directory.hxx:

Go to the source code of this file.

## Data Structures
struct | Directory
struct | Directory::LookupResult

## Variables
static constexpr unsigned | DEVICE_INARCHIVE = -1
| Virtual directory that is really an archive file or a folder inside the archive (special value for Directory::device). More...
static constexpr unsigned | DEVICE_CONTAINER = -2
| Virtual directory that is really a song file with one or more "sub" songs as specified by DecoderPlugin::container_scan() (special value for Directory::device). More...

## Variable Documentation

constexpr unsigned DEVICE_CONTAINER = -2
| static

Virtual directory that is really a song file with one or more "sub" songs as specified by DecoderPlugin::container_scan() (special value for Directory::device).

Definition at line 44 of file Directory.hxx.

constexpr unsigned DEVICE_INARCHIVE = -1
| static

Virtual directory that is really an archive file or a folder inside the archive (special value for Directory::device).

Definition at line 37 of file Directory.hxx.